#!/bin/bash

# Clean the old snapshots
sudo rm -rf {{ prometheus_data_path }}snapshots/*

# Ask Prometheus to give us a snapshot and save snapshot name in a var
prometheus_snapshot_name=$(curl -s -XPOST http://localhost:9090/prometheus/api/v1/admin/tsdb/snapshot | jq -r .data.name)

# Copy Prometheus snapshot to backups tmp path
cp -r {{ prometheus_data_path }}snapshots/$prometheus_snapshot_name/ {{ backups_role_tmp_path }}

# Copy Grafana DB to backups tmp path
cp {{ grafana_data_path }}grafana.db {{ backups_role_tmp_path }}
